Package org.apache.sysds.runtime.compress.utils

## Class DblArrayIntListHashMap.DArrayIListEntry

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DblArrayIntListHashMap.DArrayIListEntry

Enclosing class:
  DblArrayIntListHashMap

    public static class DblArrayIntListHashMap.DArrayIListEntry
    extends Object

### Field Summary

Fields
`DblArray` `key`
`IntArrayList` `value`

### Constructor Summary

Constructors
`DArrayIListEntry​(DblArray ekey, IntArrayList evalue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `keyEquals​(DblArray keyThat)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key

    public DblArray key

#### value

    public IntArrayList value

### Constructor Detail

#### DArrayIListEntry

    public DArrayIListEntry​(DblArray ekey,
                            IntArrayList evalue)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### keyEquals

    public boolean keyEquals​(DblArray keyThat)